
/***********************************************************************/
/* This program is meant to run as an object.                          */
/* It is a simple program to demonstrate:                              */
/*   -- "Private" attributes available to it                           */
/*   -- "Public" methods available to other programs.                  */
/*   -- A good template for future objects with Constructor and        */
/*      Destructor routines.                                           */
/***********************************************************************/

/* ----------------------- Begin Attributes List ----------------------*/

DEFINE VARIABLE cA AS CHARACTER NO-UNDO.

/* ------------------------- End Attributes List ----------------------*/

/* -------------------------- Begin Methods List ----------------------*/

/***********************************************************************/
/* This is the "destructor" for the routine.  It should be called be   */
/* fore deleting the handle to the instance of this object.            */
/***********************************************************************/

PROCEDURE Destroy:

END.

/***********************************************************************/
/* If other "constructors" are needed, they can be put in.  This one   */
/* is called Init.  Unlike C++, it will need to be run manually.       */
/***********************************************************************/

PROCEDURE Init:

END.

/***********************************************************************/
/* These are Gets and Sets for public attributes for the object.       */
/***********************************************************************/

PROCEDURE SetA:

  DEFINE INPUT PARAMETER picA AS CHARACTER NO-UNDO.

  ASSIGN cA = picA.

END.

PROCEDURE GetA:

  DEFINE OUTPUT PARAMETER pocA AS CHARACTER NO-UNDO.

  ASSIGN pocA = cA.

END.

/* -------------------------- End Methods List ------------------------*/
