
/***********************************************************************/
/* This program is meant to run as an object                           */
/***********************************************************************/

/* ----------------------- Begin Attributes List ----------------------*/

DEFINE VARIABLE YourObjAttribute AS YourType NO-UNDO.

/* These are useful for error reporting back to the calling procedure. */
/* See GetError() procedure below.                                     */

DEFINE VARIABLE cErrorMsg AS CHARACTER NO-UNDO.
DEFINE VARIABLE iErrorCode AS INTEGER NO-UNDO.

/* ------------------------- End Attributes List ----------------------*/

/* -------------------------- Begin Methods List ----------------------*/

/***********************************************************************/
/* This is the "destructor" for the routine.  It should be called be-  */
/* fore deleting the handle to the instance of this object.            */
/***********************************************************************/

PROCEDURE Destroy:

END.

/***********************************************************************/
/* If other "constructors" are needed, they can be put in.  This one   */
/* is called Init.  Unlike C++, it will need to be run manually.       */
/***********************************************************************/

PROCEDURE Init:

END.

/***********************************************************************/
/* These are Gets and Sets for public attributes for the object.       */
/***********************************************************************/

PROCEDURE SetYourAttribute:

  DEFINE INPUT PARAMETER picA AS CHARACTER NO-UNDO.

  ASSIGN cA = picA.

END.

PROCEDURE GetYourAttribute:

  DEFINE OUTPUT PARAMETER pocA AS CHARACTER NO-UNDO.

  ASSIGN pocA = cA.

END.

PROCEDURE GetError:

  DEFINE OUTPUT PARAMETER pocErrorMsg AS CHARACTER NO-UNDO.
  DEFINE OUTPUT PARAMETER poiErrorCode AS INTEGER NO-UNDO.

  ASSIGN pocErrorMsg = cErrorMsg
         poiErrorCode = iErrorCode.

END. /* PROCEDURE GetError() */


/***********************************************************************/
/* These are action methods that actually cause the object to "do"     */
/* something.                                                          */
/***********************************************************************/

PROCEDURE DoYourMethod:

END.

/* -------------------------- End Methods List ------------------------*/

/***********************************************************************/
/* The following are considered private functions and should not be    */
/* called from the instanting program.                                 */
/* All these functions should begin prv....                            */
/***********************************************************************/

PROCEDURE prvTemplate:

END.

/***********************************************************************/
/* Private procedure to aid in handling errors from other procedures.  */
/***********************************************************************/

PROCEDURE prvAssignError:

  DEF INPUT PARAMETER iCode AS INTEGER NO-UNDO.

  CASE iCode:

    WHEN 0 THEN
      ASSIGN cErrorMsg = "NONE"
             iErrorCode = 0.

  END. /* Case */

END. /* PROCEDURE prvAssignError */

